"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TreeBeta = void 0;
const treeNodeApi_js_1 = require("./treeNodeApi.js");
/**
 * Extensions to {@link Tree} which are not yet stable.
 * @sealed @beta
 */
exports.TreeBeta = {
    /**
     * Register an event listener on the given node.
     * @param node - The node whose events should be subscribed to.
     * @param eventName - Which event to subscribe to.
     * @param listener - The callback to trigger for the event. The tree can be read during the callback, but it is invalid to modify the tree during this callback.
     * @returns A callback function which will deregister the event.
     * This callback should be called only once.
     */
    on(node, eventName, listener) {
        return treeNodeApi_js_1.treeNodeApi.on(node, eventName, listener);
    },
};
//# sourceMappingURL=treeApiBeta.js.map